--- @class Exports
--- @field log Logger
--- @field updater Updater
--- @field notifier Notifier
--- @field json JsonParser


--- @class Logger
--- @field error fun(...)
--- @field warn fun(...)
--- @field info fun(...)
--- @field debug fun(...)

--- @class Updater
--- @field addEntry fun(self: Updater, path: string, branch: string, url: string)

--- @class JsonParser
--- @field decode fun(s: string): table
--- @field encode fun(s: table): string

--- @class Notifier
--- @field notify fun(priority: "1"|"2"|"3"|"4"|"5", body: string)

